Create capability request
curl --request POST \
--url https://phonefarm.withmithras.com/capability-requests/enqueue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "instagram-account-create-2026-06-24-001",
"platform": "instagram",
"capability": "account_create",
"mode": "manual",
"target": {
"routing": "queue",
"account_id": "account_instagram_actor"
},
"inputs": {
"desired_account_id": "desired_instagram_actor",
"workspace_id": "workspace_123",
"email_alias_env": "PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_EMAIL_ALIAS",
"password_env": "PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_PASSWORD",
"email_code_source": "auto"
},
"callback": {
"url": "https://ugc-tracker.example.com/phonefarm/process-updates",
"metadata": {}
},
"requested_by": {
"system": "ugc-tracker",
"user": "operator@example.com",
"metadata": {}
}
}
'import requests
url = "https://phonefarm.withmithras.com/capability-requests/enqueue"
payload = {
"request_id": "instagram-account-create-2026-06-24-001",
"platform": "instagram",
"capability": "account_create",
"mode": "manual",
"target": {
"routing": "queue",
"account_id": "account_instagram_actor"
},
"inputs": {
"desired_account_id": "desired_instagram_actor",
"workspace_id": "workspace_123",
"email_alias_env": "PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_EMAIL_ALIAS",
"password_env": "PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_PASSWORD",
"email_code_source": "auto"
},
"callback": {
"url": "https://ugc-tracker.example.com/phonefarm/process-updates",
"metadata": {}
},
"requested_by": {
"system": "ugc-tracker",
"user": "operator@example.com",
"metadata": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: 'instagram-account-create-2026-06-24-001',
platform: 'instagram',
capability: 'account_create',
mode: 'manual',
target: {routing: 'queue', account_id: 'account_instagram_actor'},
inputs: {
desired_account_id: 'desired_instagram_actor',
workspace_id: 'workspace_123',
email_alias_env: 'PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_EMAIL_ALIAS',
password_env: 'PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_PASSWORD',
email_code_source: 'auto'
},
callback: {url: 'https://ugc-tracker.example.com/phonefarm/process-updates', metadata: {}},
requested_by: {system: 'ugc-tracker', user: 'operator@example.com', metadata: {}}
})
};
fetch('https://phonefarm.withmithras.com/capability-requests/enqueue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"process_type": "<string>",
"duplicate": true
}{
"status": "<string>",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"process_type": "<string>"
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}Processes
Create capability request
Create a public process for a supported Phonefarm capability. Omit platform for TikTok; set platform to instagram for Instagram parity actions.
POST
/
capability-requests
/
enqueue
Create capability request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"account_create"Show child attributes
Show child attributes
Example:
{
"desired_account_id": "desired_instagram_actor",
"workspace_id": "workspace_123",
"email_alias_env": "PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_EMAIL_ALIAS",
"password_env": "PHONEFARM_INSTAGRAM_ACCOUNT_CREATE_PASSWORD",
"email_code_source": "auto"
}
Available options:
tiktok, instagram Available options:
manual, unattended Response
Duplicate request; existing process returned.
Allowed value:
"accepted"Available options:
tiktok, instagram Available options:
queued, executing, retrying, completed, failed_terminal, cancelled ⌘I